summaryrefslogtreecommitdiff
path: root/kernels
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <andre@pc-01.localdomain>2012-04-19 23:17:27 -0300
committerAndré Fabian Silva Delgado <andre@pc-01.localdomain>2012-04-19 23:17:27 -0300
commit1e46ef5f410e41214b7e4e3ff4880967303e6380 (patch)
tree8d7808ba1a36b28acda882ca16a50ba246fe6e53 /kernels
parent340366ca7a7dfb2ec14f1159c37470c25c9e5c2b (diff)
linux-libre-rt-3.2.15_rt26-1: updated version
Diffstat (limited to 'kernels')
-rw-r--r--kernels/linux-libre-rt/PKGBUILD14
-rw-r--r--kernels/linux-libre-rt/linux-libre-rt.install10
2 files changed, 11 insertions, 13 deletions
diff --git a/kernels/linux-libre-rt/PKGBUILD b/kernels/linux-libre-rt/PKGBUILD
index 36287b9fb..0af6437d1 100644
--- a/kernels/linux-libre-rt/PKGBUILD
+++ b/kernels/linux-libre-rt/PKGBUILD
@@ -13,8 +13,8 @@ pkgname=('linux-libre-rt' 'linux-libre-rt-headers') # Build stock -LIBRE kernel
# pkgname=linux-custom # Build kernel with a different name
_kernelname=-LIBRE-RT
_basekernel=3.2
-_releasever=12
-_rtpatchver=rt22
+_releasever=15
+_rtpatchver=rt26
_pkgver=${_basekernel}.${_releasever}
pkgver=${_basekernel}.${_releasever}_${_rtpatchver}
pkgrel=1
@@ -33,18 +33,16 @@ source=("http://linux-libre.fsfla.org/pub/linux-libre/releases/${_basekernel}-gn
'boot-logo.patch'
'change-default-console-loglevel.patch'
'i915-fix-ghost-tv-output.patch'
- 'i915-gpu-finish.patch'
'ext4-options.patch')
md5sums=('65c669b6e4888db84a80882461851867'
- 'd1d6c566dbc5b9fe6983eb6cab8fa00a'
- 'd530078f8e59eda4de457041687db952'
+ '7dcae363be46096d15d3bb9456991048'
+ '0aa7c5d90e4e01e7775a1a030c24ca56'
'6141ab0cb60a5cf9e6ee3bdf8c8c79b1'
'c2f3423d7c7d8e5776e961b75a52a3fc'
'0d001b0277f318bc40a263aaa980d44e'
'04b21c79df0a952c22d681dd4f4562df'
'9d3c56a4b999c8bfbd4018089a62f662'
'263725f20c0b9eb9c353040792d644e5'
- '4cd79aa147825837dc8bc9f6b736c0a0'
'c8299cf750a84e12d60b372c8ca7e1e8')
build() {
@@ -60,10 +58,6 @@ build() {
# Add freedo as boot logo
patch -Np1 -i "${srcdir}/boot-logo.patch"
- # fix FS#27883
- # drm/i915: Only clear the GPU domains upon a successful finish
- patch -Np1 -i "${srcdir}/i915-gpu-finish.patch"
-
# Some chips detect a ghost TV output
# mailing list discussion: http://lists.freedesktop.org/archives/intel-gfx/2011-April/010371.html
# Arch Linux bug report: FS#19234
diff --git a/kernels/linux-libre-rt/linux-libre-rt.install b/kernels/linux-libre-rt/linux-libre-rt.install
index 410e69aa0..a5a37437c 100644
--- a/kernels/linux-libre-rt/linux-libre-rt.install
+++ b/kernels/linux-libre-rt/linux-libre-rt.install
@@ -2,7 +2,7 @@
# arg 2: the old package version
KERNEL_NAME=-rt
-KERNEL_VERSION=3.2.12-1-LIBRE-RT
+KERNEL_VERSION=3.2.15-1-LIBRE-RT
post_install () {
# updating module dependencies
@@ -44,8 +44,12 @@ post_upgrade() {
echo ">>>"
fi
- if findmnt --fstab -uno SOURCE /boot &>/dev/null && ! mountpoint -q /boot; then
- echo "WARNING: /boot appears to be a separate partition but is not mounted."
+ if grep "^[^#]*[[:space:]]/boot" etc/fstab 2>&1 >/dev/null; then
+ if ! grep "[[:space:]]/boot" etc/mtab 2>&1 >/dev/null; then
+ echo "WARNING: /boot appears to be a seperate partition but is not mounted"
+ echo " This is most likely not what you want. Please mount your /boot"
+ echo " partition and reinstall the kernel unless you are sure this is OK"
+ fi
fi
# updating module dependencies